path.h File Reference

Simple directory path functions. More...

## Functions

stp_list_t * | stp_path_search (stp_list_t *dirlist, const char *suffix)
void | stp_path_split (stp_list_t *list, const char *path)
stp_list_t * | stp_generate_path (const char *path)
stp_list_t * | stp_data_path (void)
stp_list_t * | stpi_list_files_on_data_path (const char *name)
char * | stpi_path_merge (const char *path, const char *file)
char * | stp_path_find_file (const char *path, const char *file)

## Detailed Description

Simple directory path functions.

## Function Documentation

## stp_data_path()

stp_list_t * stp_data_path | ( | void |  | ) |

extern

## stp_generate_path()

stp_list_t * stp_generate_path | ( | const char * | path | ) |

extern

## stp_path_find_file()

char * stp_path_find_file | ( | const char * | path,
|  | const char * | file )

extern

## stp_path_search()

stp_list_t * stp_path_search | ( | stp_list_t * | dirlist,
|  | const char * | suffix )

extern

## stp_path_split()

void stp_path_split | ( | stp_list_t * | list,
|  | const char * | path )

extern

## stpi_list_files_on_data_path()

stp_list_t * stpi_list_files_on_data_path | ( | const char * | name | ) |

extern

## stpi_path_merge()

char * stpi_path_merge | ( | const char * | path,
|  | const char * | file )

extern